QueryFederationQueuePoliciesResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: QueryFederationQueuePoliciesResponsePBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class QueryFederationQueuePoliciesResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.QueryFederationQueuePoliciesResponsePBImpl

public class QueryFederationQueuePoliciesResponsePBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryFederationQueuePoliciesResponsePBImpl()`
  `QueryFederationQueuePoliciesResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `int`
  `getCurrentPage()`
  `List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationQueueWeight>`
  `getFederationQueueWeights()`
  `int`
  `getPageSize()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesResponseProto`
  `getProto()`
  `int`
  `getTotalPage()`
  `int`
  `getTotalSize()`
  `int`
  `hashCode()`
  `void`
  `setCurrentPage(int currentPage)`
  `void`
  `setFederationQueueWeights(List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationQueueWeight> pfederationQueueWeights)`
  `void`
  `setPageSize(int pageSize)`
  `void`
  `setTotalPage(int totalPage)`
  `void`
  `setTotalSize(int totalSize)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryFederationQueuePoliciesResponsePBImpl

    public QueryFederationQueuePoliciesResponsePBImpl()

  - ### QueryFederationQueuePoliciesResponsePBImpl

    public QueryFederationQueuePoliciesResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesResponseProto getProto()

  - ### getTotalSize

    public int getTotalSize()
    Specified by:
      `getTotalSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### setTotalSize

    public void setTotalSize(int totalSize)
    Specified by:
      `setTotalSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### getTotalPage

    public int getTotalPage()
    Specified by:
      `getTotalPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### setTotalPage

    public void setTotalPage(int totalPage)
    Specified by:
      `setTotalPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### getCurrentPage

    public int getCurrentPage()
    Specified by:
      `getCurrentPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### setCurrentPage

    public void setCurrentPage(int currentPage)
    Specified by:
      `setCurrentPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### getPageSize

    public int getPageSize()
    Specified by:
      `getPageSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### setPageSize

    public void setPageSize(int pageSize)
    Specified by:
      `setPageSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### getFederationQueueWeights

    public List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationQueueWeight> getFederationQueueWeights()
    Specified by:
      `getFederationQueueWeights` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### setFederationQueueWeights

    public void setFederationQueueWeights(List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationQueueWeight> pfederationQueueWeights)
    Specified by:
      `setFederationQueueWeights` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`